# Interface methods for submodule: NormalizedCorrelationImageToImageMetric
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageMetricProxy as _ImageToImageMetricProxy


# Interface methods for class: NormalizedCorrelationImageToImageMetric
class NormalizedCorrelationImageToImageMetricProxy(_ImageToImageMetricProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetDerivative(self, parameters, derivative: Sequence[float]) -> None:
		""""""
		...

	def GetValue(self, parameters) -> float:
		""""""
		...

	def GetValueAndDerivative(self, parameters, value: float, derivative: Sequence[float]) -> None:
		""""""
		...

	def SetSubtractMean(self, _arg: bool) -> None:
		""""""
		...

	def GetSubtractMean(self) -> bool:
		""""""
		...

	def SubtractMeanOn(self) -> None:
		""""""
		...

	def SubtractMeanOff(self) -> None:
		""""""
		...

